Onboarding
Acknowledge Onboarding Document
Records that the worker read a no-signature onboarding document (the Employee Handbook) and agreed to it, as a template instance naming the version and time.
POSThttps://api.toku.com/hris/acknowledge-onboarding-document
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/acknowledge-onboarding-document' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"roleInOrgId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"templateId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"templateVersionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"templateInstanceId": "string",
"acknowledgedAt": "string",
"versionNumber": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
roleInOrgIdstring<uuid>requiredtemplateIdstring<uuid>requiredtemplateVersionIdstring<uuid>requiredagreedanyrequiredResponse
200Successful response
templateInstanceIdstringrequiredacknowledgedAtstringrequiredversionNumberintegerrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits